#!/usr/bin/python

# RSS Mix Tape
# Copyright 2003, David "Novalis" Turner <novalis@fsf.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


times = { "15 minutes" : 900, "30 minutes" : 1800, "1 hour" : 3600,
          "2 hours" : 7200, "4 hours" : 14400, "6 hours" : 21600,
          "12 hours" : 43200, "1 day" : 86400, "2 days" : 172800,
          "1 week" : 7*86400, "2 weeks" : 14*86400, "1 month" : 30*86400
          }
revtimes = { 900 : "15 minutes", 1800 : "30 minutes", 3600 : "1 hour",
             7200 : "2 hours", 14400 : "4 hours", 21600 : "6 hours",
             43200 : "12 hours", 86400 : "1 day", 172800 : "2 days",
             7*86400 : "1 week", 14*86400 : "2 weeks", 30*86400 : "1 month"
             }

