#!/usr/bin/python

# RSS Mix Tape
# Copyright 2003, David "Novalis" Turner <novalis@fsf.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

# This program is intended for non-interactive updates and is suitable for
# cron (assuming I got the locking right)

from rssmixtape.FeedDB2 import FeedDB
import sys

try:
    db = FeedDB ()
except "Locked":
    print >> sys.stderr, "The Feed Database is locked, which probably means that the GUI is running."
    return #

for feed in db.feedList ():
    feed.open ()
    feed.update ()
    feed.close ()
    db.store (feed, 0)
