#!/usr/bin/env python

from distutils.core import setup

setup(name="RSS Mix Tape",
      version = "1.2.0",
      description = "RSS goes in, RSS goes out.",
      author = 'David "Novalis" Turner',
      author_email = "novalis@fsf.org",
      url = "http://www.novalis.org/programs/rssmixtape",
      packages = ['rssmixtape'],
      scripts = ['rssmixtape_configure.py', 'rssmixtape_feeder.py', 'rssmixtape.py'],
      license = "GPL",
      data_files = [('share/doc/rssmixtape', ['COPYING', 'README'])]
     )
